Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
9 Views

Can't find most current plugin versions

When creating a new project either using the Hello Cordova sample or an HTML5/Cordova template I get several "Can't find plugin errors". For the HTML5/Cordova template there are only two:

cordova-plugin-device 1.1.0
cordova-plugin-statusbar 2.0.0

However, I can then use the plugin manager to add the previous version with no problem, in both of the above cases it is version 1.0.1.

With the Hello Cordova sample though there are quite a few plugins that can't be found, and recording and then adding them all manually is too long a process.

Is there something that can be done to correct this? I'm using XDK 2893 on a Windows 7 Enterprise machine. If you need more info let me know.

Thanks

Tags (2)
0 Kudos
1 Reply
Highlighted
9 Views

This sounds like one of the following:

  • a problem with the plugins directory
  • your system is having trouble retrieving the plugins from the NPM registry
  • there is a problem with the NPM registry

The last one is something that happens from time-to-time, and is something we have no control over. The core plugins are retrieved from a third-party registry that occasionally experiences resource issues.

The second is usually due to firewall or proxy issues. On a Windows system this may be something to do with your company proxy (test the theory by trying the same thing from home, off your company network) or you may have some firewall settings on your Windows machine that are interfering.

The first is most easily tested by creating a brand new project based on the Hello, Cordova sample and seeing if it still has plugin issues. If not, then I suspect the plugins directory in your project is corrupt. Easiest way to try and rectify that problem is to completely delete the plugins directory from your project and then let the project rebuild (do the deletion with the XDK closed).

0 Kudos